Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

Hybrid View

  1. #1

    Default Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Ich habe auf einem neuen Laptop openSuse 15.0 Leap installiert, weil ich ein langfristiges System suche um mit TeX/LateX zu arbeiten.
    Ich habe und brauch dafür keine proprietäre Software oder Treiber.
    Wieso wird der Linuxtreiber eines der größten Druckerhersteller der Welt nicht unterstützt.
    Wieso wird openJDK-8 nicht unterstützt, das JabRef, eine der besten Literurdatenbank im akademischen Bereich, benötigt, nicht unterstützt - diese Version ist auch mehr als 1 Jahr alt?
    Beides sind wirklich nicht ganz neue und exotische Produkte?
    Wieso muss man deswegen zu Tumbleweed wechseln?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,885

    Default Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Es ist immer besser um in eine technische Diskussion keine persönliche bewertungen. sondern Fakten zu erwähnen.
    Da hilft "eines der größten Druckerhersteller der Welt" wenig, umzu mehr da kurz die Name und Produkt erwähnen schneller ein zu geben und zu lesen ist.

    Wenn Es um ein Drucker geht, dann erwáhne bitte was du versuchst hat zum installieren. YaST > Hardware > Drucker? War er da zu finden? Usw.

    Auf meinen 15.0 sind drei hplip Pakete installiert. Ob die da schon von Anfang waren oder ob die beim Istallieren vom YaST nachgeladen worden sind weis ich jedoch nicht mehr.

    Auf meinen 15.0 sind zwei Pakete "OpenJDK Runtime Environment" installiert. So weit ich weis waren die schon von Anfang da.

    Vielleicht kannst du besser Schrittweise erklären was du machst, was du dann erwartest und was dagegen in wirklichkeit passiert. Wenn mit Terminal gearbeitet wird, am besten durch das hier über Copy/Paste zu zeigen (bitte zwischen CODE tags, die kriegt mann durch auf the Knopf mit # zu klicken).
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,662
    Blog Entries
    14

    Default Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Hallo, Willkommen !!!

    Welchen Drucker? Wenn HP, installiere bitte hplip ( nicht hplib !!! ). Dann
    Code:
    su
    hp-setup
    openJDK : In YaST's Softwaremodule, such mal nach 'openJDK'. Kann sein daß du java-1_8_0-openjdk brauchst.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4

    Default Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Vielen Dank für die Antworten - ich habe mittlerweile Tumbleweet installiert (jetzt die 5. Installation auf meinem neuen PC) und fast alles, auch den HP-Drucker, gefunden - bis auf openJFX
    Für Suse gibt es anscheinen dafür überhaupt keine Pakete, anders als für Ubuntu, Fedora oder Debian - kann das sein?
    Ohne openJFX läuft die Literaturdatenbank JabRef (openJDK-8 ist installiert und wurde als Javaversion ausgewählt) nicht, es produziert den Fehler:
    Code:
    Could not find or load main class org.jabref.JabRefMain
    Heißt das jetzt, da ich dieses Programm brauche, dass ich zu Ubuntu, Fedora oder Debian wechseln muss?
    siehe:
    http://help.jabref.org/en/Installation#opensuse

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,891

    Default AW: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Noch einmal:
    für openjdk, hplip braucht es kein Tumbleweed:
    Code:
    zypper se -si hplip openjdk
    Loading repository data...
    Reading installed packages...
    
    S  | Name                             | Type    | Version                | Arch   | Repository               
    ---+----------------------------------+---------+------------------------+--------+--------------------------
    i+ | hplip                            | package | 3.19.3-lp150.3.1       | x86_64 | Sauerland-Leap15.0       
    i+ | hplip-hpijs                      | package | 3.19.3-lp150.3.1       | x86_64 | Sauerland-Leap15.0       
    i+ | hplip-sane                       | package | 3.19.3-lp150.3.1       | x86_64 | Sauerland-Leap15.0       
    i+ | java-1_8_0-openjdk               | package | 1.8.0.201-lp150.2.12.1 | x86_64 | openSUSE-Leap-15.0-Update
    i+ | java-1_8_0-openjdk-accessibility | package | 1.8.0.201-lp150.2.12.1 | x86_64 | openSUSE-Leap-15.0-Update
    i+ | java-1_8_0-openjdk-devel         | package | 1.8.0.201-lp150.2.12.1 | x86_64 | openSUSE-Leap-15.0-Update
    i+ | java-1_8_0-openjdk-headless      | package | 1.8.0.201-lp150.2.12.1 | x86_64 | openSUSE-Leap-15.0-Update
    Da ich mir die hplip in Version 3.19.3 selbst gebaut habe, hier noch einmal , was im OSS Repo noch vorhanden ist:
    Code:
    zypper se -s hplip
    Loading repository data...
    Reading installed packages...
    
    S  | Name        | Type       | Version            | Arch   | Repository               
    ---+-------------+------------+--------------------+--------+--------------------------
    i+ | hplip       | package    | 3.19.3-lp150.3.1   | x86_64 | Sauerland-Leap15.0       
    v  | hplip       | package    | 3.18.6-lp150.4.3.1 | x86_64 | openSUSE-Leap-15.0-Update
    v  | hplip       | package    | 3.17.9-lp150.3.2   | x86_64 | openSUSE-Leap-15.0-Oss   
       | hplip       | srcpackage | 3.19.3-lp150.3.1   | noarch | Sauerland-Leap15.0       
       | hplip       | srcpackage | 3.18.6-lp150.4.3.1 | noarch | openSUSE-Leap-15.0-Update
       | hplip-devel | package    | 3.19.3-lp150.3.1   | x86_64 | Sauerland-Leap15.0       
       | hplip-devel | package    | 3.18.6-lp150.4.3.1 | x86_64 | openSUSE-Leap-15.0-Update
       | hplip-devel | package    | 3.17.9-lp150.3.2   | x86_64 | openSUSE-Leap-15.0-Oss   
    i+ | hplip-hpijs | package    | 3.19.3-lp150.3.1   | x86_64 | Sauerland-Leap15.0       
    v  | hplip-hpijs | package    | 3.18.6-lp150.4.3.1 | x86_64 | openSUSE-Leap-15.0-Update
    v  | hplip-hpijs | package    | 3.17.9-lp150.3.2   | x86_64 | openSUSE-Leap-15.0-Oss   
    i+ | hplip-sane  | package    | 3.19.3-lp150.3.1   | x86_64 | Sauerland-Leap15.0       
    v  | hplip-sane  | package    | 3.18.6-lp150.4.3.1 | x86_64 | openSUSE-Leap-15.0-Update
    v  | hplip-sane  | package    | 3.17.9-lp150.3.2   | x86_64 | openSUSE-Leap-15.0-Oss
    Und openJFX gibt es nur in /home-Repos:
    https://software.opensuse.org/packag...-1_8_0-openjfx

  6. #6

    Default Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Und openJFX gibt es nur in /home-Repos:
    https://software.opensuse.org/packag...-1_8_0-openjfx
    Vielen Dank!, Wieso konnte ich dies nicht finden? Selbst Tante Google konnte mir den Link nicht sagen?
    Vielen, vielen Dank!!

  7. #7
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,885

    Default Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Da sucht man nicht mit Google, aber mit https://software.opensuse.org/search
    Henk van Velden

  8. #8
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,891

    Default AW: Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Quote Originally Posted by hcvv View Post
    Da sucht man nicht mit Google, aber mit https://software.opensuse.org/search
    Wobei hier natürlich bei der Installation auch wieder Vorsicht angesagt ist..........
    Stichwort 1-Klick Installation......
    Last edited by Sauerland; 28-Apr-2019 at 03:31.

  9. #9
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,885

    Default Re: AW: Re: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Quote Originally Posted by Sauerland View Post
    Wobei hier natürlich bei der Installation auch wieder Vorsicht angesagt ist..........
    Stichwort 1-Klick Installation......
    Sowieso, aber mit Google vermeidet man das sicher nicht (oder doch, weil man nichts findet).
    Henk van Velden

  10. #10
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,891

    Default AW: Keine Installation von hplib, OpenJDK-8 und ava-openjfx fehlt ganz für JabRef :(

    Ab und an ist google doch zu was nutze........

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •